/*
 * Class WEL_FONT_QUALITY_CONSTANTS
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_319 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_319 [] = {0xFF01,1551,318,0xFFFF};
static const EIF_TYPE_INDEX egt_2_319 [] = {0xFF01,318,0xFFFF};
static const EIF_TYPE_INDEX egt_3_319 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_319 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_319 [] = {0xFF01,318,0xFFFF};
static const EIF_TYPE_INDEX egt_6_319 [] = {0xFF01,318,0xFFFF};
static const EIF_TYPE_INDEX egt_7_319 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_319 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_319 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_319 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_319 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_319 [] = {0xFF01,318,0xFFFF};


static const struct desc_info desc_319[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_319), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_319), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_319), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_319), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_319), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_319), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_319), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_319), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_319), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_319), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_319), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_319), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x027D /*318*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_319), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6183, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6184, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6185, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6186, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6187, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06CB /*869*/), 6188, 0xFFFFFFFF},
};
void Init319(void)
{
	IDSC(desc_319, 0, 318);
	IDSC(desc_319 + 1, 1, 318);
	IDSC(desc_319 + 32, 61, 318);
}


#ifdef __cplusplus
}
#endif
